%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name django-admin-honeypot

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        A fake Django admin log in screen to notify admins of unauthorized access

License:        MIT
URL:            https://github.com/dmpayton/django-admin-honeypot
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
A fake admin log in screen to notify admins of attempted unauthorized access.

%package -n python2-%{pypi_name}
Summary:        A fake Django admin log in screen to notify admins of unauthorized access - Python 2 version

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-django
BuildRequires:  python2-django
# Test dependencies
BuildRequires:  python2-coverage
BuildRequires:  python2-pytest

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
A fake admin log in screen to notify admins of attempted unauthorized access. 
This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}

%package -n python3-%{pypi_name}
Summary:        A fake Django admin log in screen to notify admins of unauthorized access - Python 3 version

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-django
BuildRequires:  python3-django
# Test dependencies
BuildRequires:  python3-coverage
BuildRequires:  python3-pytest

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A fake admin log in screen to notify admins of attempted unauthorized access.
This package provides Python 3 build of %{pypi_name}.

%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
PYTHONPATH=. \
DJANGO_SETTINGS_MODULE=tests.settings \
python2-coverage run %{python2_sitelib}/django/bin/django-admin.py test tests

%if 0%{?with_python3}
PYTHONPATH=. \
DJANGO_SETTINGS_MODULE=tests.settings \
python3-coverage run %{python3_sitelib}/django/bin/django-admin.py test tests
%endif

%files -n python2-%{pypi_name}
%license LICENSE
%doc PKG-INFO README.rst
%{python2_sitelib}/admin_honeypot
%{python2_sitelib}/django_admin_honeypot-*.egg-info
%exclude %{python2_sitelib}/tests

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc PKG-INFO README.rst
%{python3_sitelib}/admin_honeypot
%{python3_sitelib}/django_admin_honeypot-*.egg-info
%exclude %{python3_sitelib}/tests
%endif

%changelog
* Wed Aug 17 2016 Jan Beran <jberan@redhat.com> - 1.0.0-1
- update to version 1.0.0
- source update
- tests are included now
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 28 2014 Eduardo Echeverria <echevemaster@gmail.com> - 0.3.0-1
- Update to the latest upstream release

* Tue Feb 04 2014 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.5-1
- Update to the latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.4-3
- Fix patch that towards the build fails in rawhide

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.4-1
- Updated to version 0.2.4

* Mon Sep 10 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-5
- Add python-pep8 >= 1.3.3 during build (Available in rawhide)
- Add a patch for test suite

* Thu Sep 06 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-4
- Add python-django during build
- Add python-pep8 >= 1.3 during build
- Add python-coverage during build
- Add check section
- Add patch for test (change version pep8 1.3.3 at 1.3)

* Wed Sep 05 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-3
- Remove python-django during build

* Tue Sep 04 2012 Eduardo Echeverria <echevemaster@gmail.com> - 0.2.3-2
- Change Summary

* Tue Sep 04 2012 Eduardo Echeverria <echevemaster@gmail.com> - 0.2.3-1
- initial packaging

